Issue 127513 - Increase Linux baseline to CentOS 6
Summary: Increase Linux baseline to CentOS 6
Status: CONFIRMED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.2.0
Assignee: AOO issues mailing list
QA Contact:
URL: https://bz.apache.org/ooo/show_bug.cg...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-17 17:26 UTC by Andrea Pescetti
Modified: 2017-08-19 16:37 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2017-08-17 17:26:31 UTC
(This issue is a proposal; discussion on the dev list will be started at due time, when we take decisions about 4.2.0)

We currently use CentOS 5 as a Linux baseline. Building on CentOS 5 guarantees, in some way, that OpenOffice will run on all newer Linux versions. This especially holds for the glibc requirement, at 2.5 in CentOS 5.

CentOS 5 is already unsupported, as of 31 March 2017: https://lists.centos.org/pipermail/centos-announce/2017-April/022350.html

So we should switch to a newer baseline that is still "old enough" to cover virtually all desktop systems in use today. CentOS 6, released in July 2011 and scheduled to receive updates until November 2020 https://wiki.centos.org/About/Product seems a good candidate. CentOS 6 comes with glibc 2.12.
Comment 1 oooforum (fr) 2017-08-18 08:01:24 UTC
Will this feature solve issue 124948?
Comment 2 Andrea Pescetti 2017-08-19 16:37:47 UTC
Issue 124948 actually seems to describe two completely separate issues, as seen from the developers' perspective: one about wrong permissions (user or system problem, it seems; and thus the issue was marked fixed) and one about a missing library.

Moving the baseline to CentOS 6 won't affect either of the 2 issues: it is simply "the oldest Linux system where OpenOffice will run". We could pick any distributions, there is nothing distribution-specific there.

As for the library issue, it should probably be copied to another issue, or the title of Issue 124948 modified and the issue itself reopened, so that we can work on that for 4.2.0.